package fr.cnam.joueur;
import java.rmi.*;

public class CreationAgent implements CreationAgentInt
{
  private AgentInt agent;

  public CreationAgent() throws RemoteException
  {
    super();
  }

  public void creerAgent(String nomClasse,int couleur) throws RemoteException
  {
    Agent a = new AgentDefaut(couleur,
                              FactoryAgent.getInstance(),
                              FactoryAgent.getInstance().getPortRMI());
    this.agent=a;
  }

  public AgentInt getAgent(){return agent;}
  public void setAgent(AgentInt agent){this.agent=agent;}
}